Skip to main content

Create Group

POST/Groups

Creates a new group in the organization.

Error Responses
400
Invalid request body or missing required fields (e.g. displayName).
401
Missing or invalid Authorization header.
403
SCIM provisioning not enabled or insufficient permissions.
409
A group with the same displayName already exists.
Request
curl -X POST "https://{your-domain}/api/scim/v2/Groups" -H "Authorization: Basic <access_token>" -H "Content-Type: application/json" -d '{}'
Response — 201
{
"schemas": ["urn:ietf:params:scim:schemas:core:2.0:Group"],
"id": "e9e30dba-f08f-4109-8486-d5c6a331660a",
"displayName": "Engineering",
"members": [],
"meta": {
  "resourceType": "Group",
  "created": "2024-01-23T04:56:22Z",
  "lastModified": "2024-01-23T04:56:22Z",
  "location": "https://{your-domain}/api/scim/v2/Groups/e9e30dba-f08f-4109-8486-d5c6a331660a"
}
}